
package com.smartgwt.client.docs;

/**
 * <h3>Button Icon</h3>
 * Control over optional icons shown in Buttons, Labels and other contexts
 * @see com.smartgwt.client.widgets.StatefulCanvas#setIconOrientation
 * @see com.smartgwt.client.widgets.StatefulCanvas#setIcon
 * @see com.smartgwt.client.widgets.Button#setIconOrientation
 * @see com.smartgwt.client.widgets.Button#setIcon
 * @see com.smartgwt.client.widgets.events.IconClickEvent
 * @see com.smartgwt.client.widgets.Label#setIconOrientation
 * @see com.smartgwt.client.widgets.Label#setIcon
 * @see com.smartgwt.client.widgets.ImgButton#setIconOrientation
 * @see com.smartgwt.client.widgets.ImgButton#setIcon
 * @see com.smartgwt.client.widgets.StretchImgButton#setIconOrientation
 * @see com.smartgwt.client.widgets.StretchImgButton#setIcon
 * @see com.smartgwt.client.widgets.events.IconClickEvent
 * @see com.smartgwt.client.widgets.StatefulCanvas#getIcon
 * @see com.smartgwt.client.widgets.StatefulCanvas#getIconSize
 * @see com.smartgwt.client.widgets.StatefulCanvas#getIconWidth
 * @see com.smartgwt.client.widgets.StatefulCanvas#getIconHeight
 * @see com.smartgwt.client.widgets.StatefulCanvas#getIconOrientation
 * @see com.smartgwt.client.widgets.StatefulCanvas#getIconSpacing
 * @see com.smartgwt.client.widgets.StatefulCanvas#getShowDisabledIcon
 * @see com.smartgwt.client.widgets.StatefulCanvas#getShowRollOverIcon
 * @see com.smartgwt.client.widgets.StatefulCanvas#getShowDownIcon
 * @see com.smartgwt.client.widgets.StatefulCanvas#getShowSelectedIcon
 * @see com.smartgwt.client.widgets.StatefulCanvas#getShowFocusedIcon
 * @see com.smartgwt.client.widgets.Button#getIcon
 * @see com.smartgwt.client.widgets.Button#getIconSize
 * @see com.smartgwt.client.widgets.Button#getIconWidth
 * @see com.smartgwt.client.widgets.Button#getIconHeight
 * @see com.smartgwt.client.widgets.Button#getIconOrientation
 * @see com.smartgwt.client.widgets.Button#getIconAlign
 * @see com.smartgwt.client.widgets.Button#getIconSpacing
 * @see com.smartgwt.client.widgets.Button#getShowDisabledIcon
 * @see com.smartgwt.client.widgets.Button#getShowRollOverIcon
 * @see com.smartgwt.client.widgets.Button#getShowFocusedIcon
 * @see com.smartgwt.client.widgets.Button#getShowDownIcon
 * @see com.smartgwt.client.widgets.Button#getShowSelectedIcon
 * @see com.smartgwt.client.widgets.Label#getIcon
 * @see com.smartgwt.client.widgets.Label#getIconSize
 * @see com.smartgwt.client.widgets.Label#getIconWidth
 * @see com.smartgwt.client.widgets.Label#getIconHeight
 * @see com.smartgwt.client.widgets.Label#getIconOrientation
 * @see com.smartgwt.client.widgets.Label#getIconAlign
 * @see com.smartgwt.client.widgets.Label#getIconSpacing
 * @see com.smartgwt.client.widgets.Label#getShowDisabledIcon
 * @see com.smartgwt.client.widgets.Label#getShowRollOverIcon
 * @see com.smartgwt.client.widgets.Label#getShowFocusedIcon
 * @see com.smartgwt.client.widgets.Label#getShowDownIcon
 * @see com.smartgwt.client.widgets.Label#getShowSelectedIcon
 * @see com.smartgwt.client.widgets.ImgButton#getIcon
 * @see com.smartgwt.client.widgets.ImgButton#getIconSize
 * @see com.smartgwt.client.widgets.ImgButton#getIconWidth
 * @see com.smartgwt.client.widgets.ImgButton#getIconHeight
 * @see com.smartgwt.client.widgets.ImgButton#getIconOrientation
 * @see com.smartgwt.client.widgets.ImgButton#getIconAlign
 * @see com.smartgwt.client.widgets.ImgButton#getIconSpacing
 * @see com.smartgwt.client.widgets.ImgButton#getShowDisabledIcon
 * @see com.smartgwt.client.widgets.ImgButton#getShowRollOverIcon
 * @see com.smartgwt.client.widgets.ImgButton#getShowFocusedIcon
 * @see com.smartgwt.client.widgets.ImgButton#getShowDownIcon
 * @see com.smartgwt.client.widgets.ImgButton#getShowSelectedIcon
 * @see com.smartgwt.client.widgets.StretchImgButton#getIcon
 * @see com.smartgwt.client.widgets.StretchImgButton#getIconSize
 * @see com.smartgwt.client.widgets.StretchImgButton#getIconWidth
 * @see com.smartgwt.client.widgets.StretchImgButton#getIconHeight
 * @see com.smartgwt.client.widgets.StretchImgButton#getIconOrientation
 * @see com.smartgwt.client.widgets.StretchImgButton#getIconAlign
 * @see com.smartgwt.client.widgets.StretchImgButton#getIconSpacing
 * @see com.smartgwt.client.widgets.StretchImgButton#getShowDisabledIcon
 * @see com.smartgwt.client.widgets.StretchImgButton#getShowRollOverIcon
 * @see com.smartgwt.client.widgets.StretchImgButton#getShowFocusedIcon
 * @see com.smartgwt.client.widgets.StretchImgButton#getShowDownIcon
 * @see com.smartgwt.client.widgets.StretchImgButton#getShowSelectedIcon
 * @see com.smartgwt.client.widgets.grid.ListGridField#getIconSpacing
 * @see com.smartgwt.client.widgets.grid.ListGridField#getShowDisabledIcon
 * @see com.smartgwt.client.widgets.grid.ListGridField#getShowRollOverIcon
 * @see com.smartgwt.client.widgets.grid.ListGridField#getShowFocusedIcon
 * @see com.smartgwt.client.widgets.grid.ListGridField#getShowDownIcon
 * @see com.smartgwt.client.widgets.grid.ListGridField#getShowSelectedIcon
 */
public interface ButtonIcon {
}
