
package com.smartgwt.client.docs;

/**
 * <h3>Enabling and Disabling</h3>
 * Disabled components do not respond to mouse or keyboard events, and change appearance to indicate they are disabled.
 * @see com.smartgwt.client.widgets.Canvas#setEnabled
 * @see com.smartgwt.client.widgets.Canvas#setDisabled
 * @see com.smartgwt.client.widgets.Canvas#enable
 * @see com.smartgwt.client.widgets.Canvas#disable
 * @see com.smartgwt.client.widgets.Canvas#isDisabled
 * @see com.smartgwt.client.widgets.Canvas#isEnabled
 * @see com.smartgwt.client.widgets.form.fields.FormItem#setDisabled
 * @see com.smartgwt.client.widgets.form.fields.FormItem#isDisabled
 * @see com.smartgwt.client.widgets.form.fields.FormItem#enable
 * @see com.smartgwt.client.widgets.form.fields.FormItem#disable
 * @see com.smartgwt.client.widgets.StatefulCanvas#setDisabled
 * @see com.smartgwt.client.widgets.Button#setDisabled
 * @see com.smartgwt.client.widgets.ImgButton#setDisabled
 * @see com.smartgwt.client.widgets.StretchImgButton#setDisabled
 * @see com.smartgwt.client.widgets.Canvas#getDisabled
 * @see com.smartgwt.client.widgets.Canvas#getEnabled
 */
public interface Enable {
}
