
package com.smartgwt.client.docs;

/**
 * Properties and methods related to the ListGrid header. ListGrid headers are implemented as a {@link
 * com.smartgwt.client.widgets.toolbar.Toolbar} of buttons shown at the top of the ListGrid  (one button per column).<br>
 * The toolbar header provides UI for interacting with the ListGrid fields directly (sorting, resizing, reordering columns,
 * etc).
 * @see com.smartgwt.client.widgets.grid.ListGrid#setHeaderHeight
 * @see com.smartgwt.client.widgets.grid.ListGrid#setShowHeader
 * @see com.smartgwt.client.widgets.grid.ListGrid#headerClick
 * @see com.smartgwt.client.widgets.grid.events.HeaderDoubleClickEvent
 * @see com.smartgwt.client.widgets.grid.ListGrid#displayHeaderContextMenu
 * @see com.smartgwt.client.widgets.grid.ListGrid#getHeaderContextMenuItems
 * @see com.smartgwt.client.widgets.grid.ListGrid#getHeader
 * @see com.smartgwt.client.widgets.grid.ListGrid#getHeaderHeight
 * @see com.smartgwt.client.widgets.grid.ListGrid#getShowHeader
 * @see com.smartgwt.client.widgets.grid.ListGrid#getHeaderBarStyle
 * @see com.smartgwt.client.widgets.grid.ListGrid#getHeaderBackgroundColor
 * @see com.smartgwt.client.widgets.grid.ListGrid#getHeaderButtonConstructor
 * @see com.smartgwt.client.widgets.grid.ListGrid#getHeaderBaseStyle
 * @see com.smartgwt.client.widgets.grid.ListGrid#getHeaderTitleStyle
 * @see com.smartgwt.client.widgets.grid.ListGrid#getFrozenHeaderBaseStyle
 * @see com.smartgwt.client.widgets.grid.ListGrid#getFrozenHeaderTitleStyle
 * @see com.smartgwt.client.widgets.grid.ListGrid#getHeaderButtonDefaults
 * @see com.smartgwt.client.widgets.grid.ListGrid#getHeaderButtonProperties
 * @see com.smartgwt.client.widgets.grid.ListGrid#getSorterConstructor
 * @see com.smartgwt.client.widgets.grid.ListGrid#getSorterDefaults
 * @see com.smartgwt.client.widgets.grid.ListGrid#getSorterProperties
 * @see com.smartgwt.client.widgets.grid.ListGrid#getShowHeaderContextMenu
 */
public interface GridHeader {
}
