
package com.smartgwt.client.docs;

/**
 * Change of state and it's consequences for presentation.
 * @see com.smartgwt.client.widgets.StatefulCanvas#setState
 * @see com.smartgwt.client.widgets.StatefulCanvas#getState
 * @see com.smartgwt.client.widgets.StatefulCanvas#setSelected
 * @see com.smartgwt.client.widgets.StatefulCanvas#select
 * @see com.smartgwt.client.widgets.StatefulCanvas#deselect
 * @see com.smartgwt.client.widgets.StatefulCanvas#isSelected
 * @see com.smartgwt.client.widgets.StatefulCanvas#getActionType
 * @see com.smartgwt.client.widgets.StatefulCanvas#setActionType
 * @see com.smartgwt.client.widgets.StatefulCanvas#addToRadioGroup
 * @see com.smartgwt.client.widgets.StatefulCanvas#removeFromRadioGroup
 * @see com.smartgwt.client.widgets.StatefulCanvas#setDisabled
 * @see com.smartgwt.client.widgets.Button#select
 * @see com.smartgwt.client.widgets.Button#deselect
 * @see com.smartgwt.client.widgets.Button#isSelected
 * @see com.smartgwt.client.widgets.Button#setSelected
 * @see com.smartgwt.client.widgets.Button#addToRadioGroup
 * @see com.smartgwt.client.widgets.Button#removeFromRadioGroup
 * @see com.smartgwt.client.widgets.Button#setActionType
 * @see com.smartgwt.client.widgets.Button#getActionType
 * @see com.smartgwt.client.widgets.Button#setState
 * @see com.smartgwt.client.widgets.Button#setDisabled
 * @see com.smartgwt.client.widgets.Button#getState
 * @see com.smartgwt.client.widgets.ImgButton#select
 * @see com.smartgwt.client.widgets.ImgButton#deselect
 * @see com.smartgwt.client.widgets.ImgButton#isSelected
 * @see com.smartgwt.client.widgets.ImgButton#setSelected
 * @see com.smartgwt.client.widgets.ImgButton#addToRadioGroup
 * @see com.smartgwt.client.widgets.ImgButton#removeFromRadioGroup
 * @see com.smartgwt.client.widgets.ImgButton#setActionType
 * @see com.smartgwt.client.widgets.ImgButton#getActionType
 * @see com.smartgwt.client.widgets.ImgButton#setState
 * @see com.smartgwt.client.widgets.ImgButton#setDisabled
 * @see com.smartgwt.client.widgets.ImgButton#getState
 * @see com.smartgwt.client.widgets.StretchImgButton#select
 * @see com.smartgwt.client.widgets.StretchImgButton#deselect
 * @see com.smartgwt.client.widgets.StretchImgButton#isSelected
 * @see com.smartgwt.client.widgets.StretchImgButton#setSelected
 * @see com.smartgwt.client.widgets.StretchImgButton#addToRadioGroup
 * @see com.smartgwt.client.widgets.StretchImgButton#removeFromRadioGroup
 * @see com.smartgwt.client.widgets.StretchImgButton#setActionType
 * @see com.smartgwt.client.widgets.StretchImgButton#getActionType
 * @see com.smartgwt.client.widgets.StretchImgButton#setState
 * @see com.smartgwt.client.widgets.StretchImgButton#setDisabled
 * @see com.smartgwt.client.widgets.StretchImgButton#getState
 * @see com.smartgwt.client.widgets.StatefulCanvas#getRedrawOnStateChange
 * @see com.smartgwt.client.widgets.StatefulCanvas#getSelected
 * @see com.smartgwt.client.widgets.StatefulCanvas#getState
 * @see com.smartgwt.client.widgets.StatefulCanvas#getShowRollOver
 * @see com.smartgwt.client.widgets.StatefulCanvas#getShowFocus
 * @see com.smartgwt.client.widgets.StatefulCanvas#getShowFocused
 * @see com.smartgwt.client.widgets.StatefulCanvas#getShowFocusedAsOver
 * @see com.smartgwt.client.widgets.StatefulCanvas#getShowDown
 * @see com.smartgwt.client.widgets.StatefulCanvas#getShowDisabled
 * @see com.smartgwt.client.widgets.StatefulCanvas#getActionType
 * @see com.smartgwt.client.widgets.StatefulCanvas#getRadioGroup
 * @see com.smartgwt.client.widgets.Button#getSelected
 * @see com.smartgwt.client.widgets.Button#getRadioGroup
 * @see com.smartgwt.client.widgets.Button#getActionType
 * @see com.smartgwt.client.widgets.Button#getState
 * @see com.smartgwt.client.widgets.Button#getShowDisabled
 * @see com.smartgwt.client.widgets.Button#getShowDown
 * @see com.smartgwt.client.widgets.Button#getShowFocused
 * @see com.smartgwt.client.widgets.Button#getShowRollOver
 * @see com.smartgwt.client.widgets.ImgButton#getSelected
 * @see com.smartgwt.client.widgets.ImgButton#getRadioGroup
 * @see com.smartgwt.client.widgets.ImgButton#getActionType
 * @see com.smartgwt.client.widgets.ImgButton#getState
 * @see com.smartgwt.client.widgets.ImgButton#getShowDisabled
 * @see com.smartgwt.client.widgets.ImgButton#getShowDown
 * @see com.smartgwt.client.widgets.ImgButton#getShowFocus
 * @see com.smartgwt.client.widgets.ImgButton#getShowFocused
 * @see com.smartgwt.client.widgets.ImgButton#getShowRollOver
 * @see com.smartgwt.client.widgets.StretchImgButton#getSelected
 * @see com.smartgwt.client.widgets.StretchImgButton#getRadioGroup
 * @see com.smartgwt.client.widgets.StretchImgButton#getActionType
 * @see com.smartgwt.client.widgets.StretchImgButton#getState
 * @see com.smartgwt.client.widgets.StretchImgButton#getShowDisabled
 * @see com.smartgwt.client.widgets.StretchImgButton#getShowDown
 * @see com.smartgwt.client.widgets.StretchImgButton#getShowFocus
 * @see com.smartgwt.client.widgets.StretchImgButton#getShowFocused
 * @see com.smartgwt.client.widgets.StretchImgButton#getShowRollOver
 * @see com.smartgwt.client.types.State
 * @see com.smartgwt.client.types.SelectionType
 * @see com.smartgwt.client.types.Selected
 */
public interface State {
}
